Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87606 - POP authentication doesn't work with imap-2002b-5
Summary: POP authentication doesn't work with imap-2002b-5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: uw-imap
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-30 14:14 UTC by Jonathan Kamens
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-03 07:03:19 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2003-03-30 14:14:04 UTC
With imap from raw hide:

jik:/usr/src/packages!1449$ telnet localhost pop3
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
+OK POP3 localhost.localdomain v2002.81rh server ready
USER XXX
-ERR Unknown AUTHORIZATION state command
quit
+OK Sayonara
Connection closed by foreign host.

After downgrading to imap-2001a-18:

jik:/usr/src/packages!1452$ telnet localhost pop3
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
+OK POP3 localhost.localdomain v2001.78rh server ready
USER XXX
+OK User name accepted, password please
PASS XXX
+OK Mailbox open, 12 messages
quit
+OK Sayonara
Connection closed by foreign host.

Comment 1 Jonathan Kamens 2003-06-11 00:42:39 UTC
This is still broken in imap-2002b-6.  Surely you can't ship the next release
with this still broken!


Comment 2 Jonathan Kamens 2003-06-11 02:22:36 UTC
I found the explanation for this.  See
<URL:http://www.faqchest.com/prgm/wuimap-l/imap-02/imap-0211/imap02112214_20708.html>.
 Basically, in the default configuration of the new version of imap, plaintext
passwords are disabled on non-SSL connections.

If you intended to make this change, then I think you need to document the hell
out of it.  If you didn't intend to make the change, then I think you need to
change how the imap RPM is compiled so that plaintext passwords are allowed.


Comment 3 Bill Nottingham 2006-08-08 01:44:41 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 4 Jonathan Kamens 2006-09-03 07:03:19 UTC
This is fixed in current version in extras devel.



Note You need to log in before you can comment on or make changes to this bug.